// Utility functions
function svgNavUtil() {
	
}

// Returns the role for the DOM element
svgNavUtil.prototype.calcRole = function(domNode) {
	var $dn = $(domNode);
	var role = $dn.attr('role');
	if (role) {		
		var type = $dn.attr('aria-type');		
		return (type) ? role + "#" + type : role;
	}
	
	var type = $dn.prop('tagName');
	var role = 'item';
	
	switch(type) {
	case 'g':
	case 'G': 
		// Group
		role = 'graphics-object';
		break;
	case 'svg':
		role = 'graphics-object';
		break;
	// TODO populate the rest
		default:
			// do nothing
	}
	
	return role;
}

// Sort navItems in x
svgNavUtil.prototype.sortX = function(a, b) {
	if (a.x == b.x) {
		return 0;
	} else if (a.x < b.x) {
		return -1;
	} else {
		return 1;
	}
}

// Sort navItems in y
svgNavUtil.prototype.sortY = function(a, b) {
	if (a.y == b.y) {
		return 0;
	} else if (a.y < b.y) {
		return -1;
	} else {
		return 1;
	}
}


